ERPNext Conference 2019* ERPNext.com Blog

Unable to login using Administrator


#1

Hi,

I created a self hosted instance ERPNext using easy install, and restored backup using bench command, data restored successfully, now the problem is i am not able to login using Administrator id and password, but with user credential I am able to login…

I tried to reset admin password usingbench --site [sitename] set-admin-password [password], password changed but still not able to login.

I also tried to reset permission to default usingbench reset-perms, command was successful but problem still exits.

Any help or clue will be appreciated.

browser console log

`Traceback (most recent call last):
File “/home/frappe/frappe-bench/apps/frappe/frappe/auth.py”, line 248, in check_password
return check_password(user, pwd)
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/password.py”, line 66, in check_password
raise frappe.AuthenticationError(_(‘Incorrect User or Password’))
frappe.exceptions.AuthenticationError: Incorrect User or Password

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/home/frappe/frappe-bench/apps/frappe/frappe/app.py”, line 52, in application
init_request(request)
File “/home/frappe/frappe-bench/apps/frappe/frappe/app.py”, line 117, in init_request
frappe.local.http_request = frappe.auth.HTTPRequest()
File “/home/frappe/frappe-bench/apps/frappe/frappe/auth.py”, line 51, in init
frappe.local.login_manager = LoginManager()
File “/home/frappe/frappe-bench/apps/frappe/frappe/auth.py”, line 105, in init
if self.login()==False: return
File “/home/frappe/frappe-bench/apps/frappe/frappe/auth.py”, line 126, in login
self.authenticate(user=user, pwd=pwd)
File “/home/frappe/frappe-bench/apps/frappe/frappe/auth.py”, line 216, in authenticate
self.user = self.check_password(user, pwd)
File “/home/frappe/frappe-bench/apps/frappe/frappe/auth.py”, line 251, in check_password
self.fail(‘Incorrect password’, user=user)
File “/home/frappe/frappe-bench/apps/frappe/frappe/auth.py”, line 259, in fail
raise frappe.AuthenticationError
frappe.exceptions.AuthenticationError`

Thanks


#2

This custom app will help you: